package justfun.common.pool.event;

/**
 * 이벤트 어답터
 * 
 * @author 조재호
 */
public abstract class PoolActionAdapter implements PoolActionListener {

	/*
	 * (non-Javadoc)
	 * 
	 * @see justfun.common.pool.event.PoolActionListener#onRequestObject(justfun.common.pool.event.PoolActionEvent)
	 */
	public void onRequestObject(PoolActionEvent event) {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see justfun.common.pool.event.PoolActionListener#onReturnObject(justfun.common.pool.event.PoolActionEvent)
	 */
	public void onReturnObject(PoolActionEvent event) {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see justfun.common.pool.event.PoolActionListener#afterReturnObject(justfun.common.pool.event.PoolActionEvent)
	 */
	public void afterReturnObject(PoolActionEvent event) {

	}

}
