/*
 * JComponentCellRenderer.java
 *
 */

package justfun.dao.helper.renderer;

import java.awt.Component;
import javax.swing.JComponent;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

/**
 *
 * @author jhcho
 */
public class JComponentCellRenderer extends DefaultTableCellRenderer {
    
    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column) {
	if( value instanceof JComponent ){
	    JComponent comp = (JComponent) value;
	    return comp;
	}
	
	super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);
	return this;
    }
}
