/*
 * Created on 2006. 1. 5
 *
 */
package justfun.framework.svc.example;

import justfun.framework.svc.factory.ServiceFactory;
import justfun.framework.svc.factory.ServiceFactoryManager;
import justfun.framework.svc.service.Service;
import justfun.framework.svc.service.ServiceParameter;

public class BasicExample {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {

		ServiceFactoryManager sfm = ServiceFactoryManager.getInstance();
		ServiceFactory factory = sfm.findFactory("justfun.framework.svc.example.BasicExample");
		Service service = factory.findService("example");

		ServiceParameter output = service.execute(new ServiceParameter());

		System.out.println(output.get("msg"));
	}

}
