/*
 * Created on 2006. 1. 5
 *
 */
package justfun.framework.svc.example;

import justfun.framework.svc.factory.ServiceFactory;
import justfun.framework.svc.factory.ServiceFactoryManager;
import justfun.framework.svc.service.Service;

public class CachedServiceExample {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {

		ServiceFactoryManager sfm = ServiceFactoryManager.getInstance();

		// Non-Cached
		ServiceFactory factory = sfm.findFactory("justfun.framework.svc.example.BasicExample");
		Service service1 = factory.findService("example");
		Service service2 = factory.findService("example");
		System.out.println((service1 == service2)); // return false

		// Cached
		ServiceFactory factory1 = sfm.findFactory("justfun.framework.svc.example.CachedServiceExample");
		Service service3 = factory1.findService("example");
		Service service4 = factory1.findService("example");
		System.out.println((service3 == service4)); // return true
	}

}
