/*
 * Created on 2005. 12. 28.
 *
 */
package justfun.common.pool.event;

import justfun.common.pool.Pool;

/**
 * Pool의 로그를 출력하는 이벤트 리스너
 * 
 * @author 조재호
 * 
 */
public class PrintLogListener implements PoolActionListener {

	public void onRequestObject(PoolActionEvent event) {
		((Pool) event.getSource()).printLog("[onRequestObject]");
	}

	public void onReturnObject(PoolActionEvent event) {
		((Pool) event.getSource()).printLog("[onReturnObject]");
	}

	public void afterReturnObject(PoolActionEvent event) {
		((Pool) event.getSource()).printLog("[afterReturnObject]");
	}

}
