/*
 *  제작일 : 2004-02-05<br>
 */

package justfun.common.util;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * @author 박세창
 * 
 * 
 */
public class LogUtil {

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#isDebugEnabled()
	 */
	public static boolean isDebugEnabled(String logName) {
		Log log = LogFactory.getLog(logName);
		return log.isDebugEnabled();
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#isErrorEnabled()
	 */
	public static boolean isErrorEnabled(String logName) {
		Log log = LogFactory.getLog(logName);
		return log.isErrorEnabled();
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#isFatalEnabled()
	 */
	public static boolean isFatalEnabled(String logName) {
		Log log = LogFactory.getLog(logName);
		return log.isFatalEnabled();
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#isInfoEnabled()
	 */
	public static boolean isInfoEnabled(String logName) {
		Log log = LogFactory.getLog(logName);
		return log.isInfoEnabled();
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#isTraceEnabled()
	 */
	public static boolean isTraceEnabled(String logName) {
		Log log = LogFactory.getLog(logName);
		return log.isTraceEnabled();
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#isWarnEnabled()
	 */
	public static boolean isWarnEnabled(String logName) {
		Log log = LogFactory.getLog(logName);
		return log.isDebugEnabled();
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#trace(java.lang.Object)
	 */
	public static void trace(String logName, Object arg0) {
		Log log = LogFactory.getLog(logName);
		log.trace(arg0);
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#trace(java.lang.Object,
	 *      java.lang.Throwable)
	 */
	public static void trace(String logName, Object arg0, Throwable arg1) {
		Log log = LogFactory.getLog(logName);
		log.trace(arg0);
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#debug(java.lang.Object)
	 */
	public static void debug(String logName, Object arg0) {
		Log log = LogFactory.getLog(logName);
		log.debug(arg0);
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#debug(java.lang.Object,
	 *      java.lang.Throwable)
	 */
	public static void debug(String logName, Object arg0, Throwable arg1) {
		Log log = LogFactory.getLog(logName);
		log.debug(arg0);
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#info(java.lang.Object)
	 */
	public static void info(String logName, Object arg0) {
		Log log = LogFactory.getLog(logName);
		log.info(arg0);
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#info(java.lang.Object,
	 *      java.lang.Throwable)
	 */
	public static void info(String logName, Object arg0, Throwable arg1) {
		Log log = LogFactory.getLog(logName);
		log.info(arg0);
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#warn(java.lang.Object)
	 */
	public static void warn(String logName, Object arg0) {
		Log log = LogFactory.getLog(logName);
		log.warn(arg0);
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#warn(java.lang.Object,
	 *      java.lang.Throwable)
	 */
	public static void warn(String logName, Object arg0, Throwable arg1) {
		Log log = LogFactory.getLog(logName);
		log.warn(arg0);
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#error(java.lang.Object)
	 */
	public static void error(String logName, Object arg0) {
		Log log = LogFactory.getLog(logName);
		log.error(arg0);
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#error(java.lang.Object,
	 *      java.lang.Throwable)
	 */
	public static void error(String logName, Object arg0, Throwable arg1) {
		Log log = LogFactory.getLog(logName);
		log.error(arg0);
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#fatal(java.lang.Object)
	 */
	public static void fatal(String logName, Object arg0) {
		Log log = LogFactory.getLog(logName);
		log.fatal(arg0);
	}

	/*
	 * (비Javadoc)
	 * 
	 * @see org.apache.commons.logging.Log#fatal(java.lang.Object,
	 *      java.lang.Throwable)
	 */
	public static void fatal(String logName, Object arg0, Throwable arg1) {
		Log log = LogFactory.getLog(logName);
		log.fatal(arg0);
	}

}
