/*
 * Created on 2005. 6. 29.
 *
 */
package justfun.dao;

/**
 * 상수 정의
 * 
 * @author 조재호
 * 
 */
public interface DAOConstants {

	/** ResourceBundle name : properties file name */
	public static final String RESOURCE_NAME = "dao-config";

	/** Pool */
	public static final String KEY_POOL_CLASS = "pool.class";
	public static final String KEY_POOL_NAME = "pool.name";
	public static final String KEY_POOL_INIT_CONNECTION = "pool.connection.init";
	public static final String KEY_POOL_MIN_CONNECTION = "pool.connection.min";
	public static final String KEY_POOL_MAX_CONNECTION = "pool.connection.max";
	public static final String KEY_POOL_CONNECTION_TIMEOUT = "pool.connection.timeout";
	public static final String KEY_POOL_REQUEST_TIMEOUT = "pool.request.timeout";

	/** jdbc */
	public static final String KEY_JDBC_DRIVER = "jdbc.driver";
	public static final String KEY_JDBC_URL = "jdbc.url";
	public static final String KEY_JDBC_USER = "jdbc.user";
	public static final String KEY_JDBC_PASSWORD = "jdbc.password";

	/** etc */
	public static final String KEY_QUERY_FILE_PATH = "queryfile.path";
	public static final String KEY_QUERY_FILE_PATH_XML = "queryfile.path.xml";

}