/*
 * Created on 2006. 1. 5
 *
 */
package justfun.framework.svc.example;

import justfun.framework.svc.factory.ServiceFactory;
import justfun.framework.svc.factory.ServiceFactoryManager;
import justfun.framework.svc.service.Service;
import justfun.framework.svc.service.ServiceParameter;

public class AdvancedServiceExample {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {

		ServiceFactoryManager sfm = ServiceFactoryManager.getInstance();
		ServiceFactory factory = sfm.findFactory("justfun.framework.svc.example.AdvancedServiceExample");
		Service service = factory.findService("example");

		ServiceParameter input1 = new ServiceParameter();
		// Value of [service.example.invoke.key] in AdvancedServiceExample.properties 
		input1.put("command", "test1");
		ServiceParameter output1 = service.execute(input1);
		System.out.println(output1.get("msg"));

		ServiceParameter input2 = new ServiceParameter();
		// Value of [service.example.invoke.key] in AdvancedServiceExample.properties
		input2.put("command", "test2");
		ServiceParameter output2 = service.execute(input2);
		System.out.println(output2.get("msg"));
	}

}
