package justfun.framework.svc.factory;

/**
 * ServiceFactory에서 발생하는 Exception
 * 
 * @author 조재호
 */
public class ServiceFactoryException extends Exception {

	/**
	 * 
	 */
	public ServiceFactoryException() {
		super();
	}

	/**
	 * @param message
	 */
	public ServiceFactoryException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public ServiceFactoryException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public ServiceFactoryException(String message, Throwable cause) {
		super(message, cause);
	}

}
