package justfun.framework.svc.services;

import justfun.framework.svc.config.ServiceConfig;
import justfun.framework.svc.service.AbstractService;
import justfun.framework.svc.service.ServiceException;
import justfun.framework.svc.service.ServiceParameter;

/**
 * 서비스 클래스 구현. 입력 파라미터를 그대로 리턴한다.
 * 
 * @author 조재호
 */
public class BaseService extends AbstractService {

	/**
	 * @param serviceID
	 * @param serviceName
	 */
	public BaseService(String serviceID, String serviceName, ServiceConfig config) {
		super(serviceID, serviceName, config);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see kr.co.cybercell.framework.service.Service#execute(java.util.Map)
	 */
	public ServiceParameter execute(ServiceParameter inputData) throws ServiceException {
		return inputData;
	}

}
