/*
 * Created on 2005. 7. 5.
 *
 */
package justfun.dao;

import java.util.HashMap;
import java.util.Map;

/**
 * 쿼리 정의 properties에 정의된 쿼리들을 담는다.
 * 
 * @author 조재호
 *
 */
public class Queries {

	private Map queryMap = null;

	public Queries() {
		queryMap = new HashMap();
	}

	/**
	 * 쿼리를 등록한다.
	 *
	 * @param map
	 */
	public void putQueries(Map map) {
		queryMap.putAll(map);
	}

	/**
	 * 쿼리를 얻는다.
	 *
	 * @param key 쿼리 아이디
	 * @return 쿼리
	 */
	public String getQuery(String key) {
		return (String) queryMap.get(key);
	}

}